<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<% sorted_modules = OpenProject::AccessControl.available_project_modules.sort_by { |name| t(:"project_module_#{name}") } %>
<% sorted_modules.each do |name| %>

  <div class="form--field">
    <label class="form--label" for="project_enabled_module_names_<%= name %>">
      <%= l_or_humanize(name, prefix: "project_module_")  %>
    </label>
    <div class="form--field-container">
     <%= form.collection_check_box :enabled_module_names,
                                    name,
                                    @project.module_enabled?(name),
                                    l_or_humanize(name, prefix: "project_module_"),
                                    no_label: true
      %>
    </div>
  </div>
<% end %>
